import { Count, Filter, FilterExcludingWhere, Where } from '@loopback/repository';
import { OtherRoomMaster } from '../models';
import { OtherRoomMasterRepository } from '../repositories';
export declare class OtherrommmasterController {
    otherRoomMasterRepository: OtherRoomMasterRepository;
    constructor(otherRoomMasterRepository: OtherRoomMasterRepository);
    create(otherRoomMaster: Omit<OtherRoomMaster, 'otherRoomId'>): Promise<OtherRoomMaster>;
    count(where?: Where<OtherRoomMaster>): Promise<Count>;
    find(filter?: Filter<OtherRoomMaster>): Promise<OtherRoomMaster[]>;
    updateAll(otherRoomMaster: OtherRoomMaster, where?: Where<OtherRoomMaster>): Promise<Count>;
    findById(id: number, filter?: FilterExcludingWhere<OtherRoomMaster>): Promise<OtherRoomMaster>;
    updateById(id: number, otherRoomMaster: OtherRoomMaster): Promise<void>;
    replaceById(id: number, otherRoomMaster: OtherRoomMaster): Promise<void>;
    deleteById(id: number): Promise<void>;
}
